<?php
// START CONTACT SECTION 
$wp_customize->add_section(
    'contact_section',
    array(
        'title'         => __( 'Contact Section', 'Luzuk Premium' ), 
        'panel'   => 'luzuk_premium_home_panel',
    )
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
    'contact_section_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'contact_section_disable',
        array(
            'settings'      => 'contact_section_disable',
            'section'       => 'contact_section',
            'label'         => __( 'Disable Section', 'Luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk Premium' ),
                'off' => __( 'No', 'Luzuk Premium' )
            )   
        )
    )
);

backgroundManager($wp_customize, 'contact', 'contact_section', $color='#F6F4EC', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'contactsection_padding', 'contact_section', ' Section Padding Setting:');

$wp_customize->add_setting(
    'contact_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contact_areaTpadding',
    array(
        'settings'      => 'contact_areaTpadding',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'contact_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contact_areaBpadding',
    array(
        'settings'      => 'contact_areaBpadding',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'contact_sectitle_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'contact_sectitle_subtitle_heading',
        array(
            'settings'      => 'contact_sectitle_subtitle_heading',
            'section'       => 'contact_section',
            'label'         => __( 'Section Sub Heading & Heading', 'Luzuk' ),
        )
    )
);

$wp_customize->add_setting(
    'contact_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Contact', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'contact_subtitle',
    array(
        'settings'      => 'contact_subtitle',
        'section'       => 'contact_section', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'contact_subheadClr', 'contact_section', 'Sub Heading Color', '#000');


$wp_customize->add_setting(
    'contacttitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Get In Touch', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'contacttitle',
    array(
        'settings'      => 'contacttitle',
        'section'       => 'contact_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'contact_headClr', 'contact_section', 'Heading Color', '#000');

$wp_customize->add_setting(
    'contact_headtext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'There are many variations of passages of Lorem Ipsum avai lable, believable.', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'contact_headtext',
    array(
        'settings'      => 'contact_headtext',
        'section'       => 'contact_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Sub Heading Text', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'contact_headtxtClr', 'contact_section', 'Heading Text Color', '#000');


lzCustomLable($wp_customize, 'contact_contactdheadeing', 'contact_section', 'Set Contact Detail');

$wp_customize->add_setting(
    'cnt_emtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Email', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'cnt_emtitle',
    array(
        'settings'      => 'cnt_emtitle',
        'section'       => 'contact_section', 
        'type'          => 'text',
        'label'         => __( 'Emai Title', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'emailtxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'hello@visit360.com', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'emailtxt',
    array(
        'settings'      => 'emailtxt',
        'section'       => 'contact_section', 
        'type'          => 'text',
        'label'         => __( 'Emai Id', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'cnt_phtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Phone', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'cnt_phtitle',
    array(
        'settings'      => 'cnt_phtitle',
        'section'       => 'contact_section', 
        'type'          => 'text',
        'label'         => __( 'Phone Title', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'phonetxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '( 00 ) 1234 - 456 - 789', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'phonetxt',
    array(
        'settings'      => 'phonetxt',
        'section'       => 'contact_section', 
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'cnt_addtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Address', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'cnt_addtitle',
    array(
        'settings'      => 'cnt_addtitle',
        'section'       => 'contact_section', 
        'type'          => 'text',
        'label'         => __( 'Address Tilte', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'addtxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Address', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'addtxt',
    array(
        'settings'      => 'addtxt',
        'section'       => 'contact_section', 
        'type'          => 'text',
        'label'         => __( 'Address Tetx', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'contact_dbxicnClr', 'contact_section', 'Detail Box Icon Color', '#000');

addColorPalatOption($wp_customize, 'contact_dbxtitleClr', 'contact_section', 'Detail Box Title Color', '#000');

addColorPalatOption($wp_customize, 'contact_dbxem_phClr', 'contact_section', 'Detail Box Email , Phone ,
Address Text Color', '#000');

addColorPalatOption($wp_customize, 'contact_dbxem_phhvClr', 'contact_section', 'Detail Box Email , Phone Hover Color', '#EC003F');



lzCustomLable($wp_customize, 'contact_area_contactdheadeing', 'contact_section', 'Contact Form Setting');



$wp_customize->add_setting(
    'contact_form_lbl',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);

$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'contact_form_lbl',
        array(
            'settings'      => 'contact_form_lbl',
            'section'       => 'contact_section',
            'label'         => __( 'Add contact Form shortcode', 'luzuk-premium' ),
        )
    )
);
$wp_customize->add_setting(
    'contact_form_shortcode',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Add your form shortcode on customiser', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contact_form_shortcode',
    array(
        'settings'      => 'contact_form_shortcode',
        'section'       => 'contact_section',
        'type'          => 'textarea',
        'label'         => __( 'Shortcode', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'contact_forminputtextColor', 'contact_section', 'Form Input Text / Placeholder Color', '#090808');

addColorPalatOption($wp_customize, 'contact_forminputborderColor', 'contact_section', 'Form Input Border Color', '#fff');

addColorPalatOption($wp_customize, 'contact_forminputbgColor', 'contact_section', 'Form Input Background Color', '#fff');

addColorPalatOption($wp_customize, 'contact_formbuttonbgColor', 'contact_section', 'Form Button Background Color', '#EC003F');

addColorPalatOption($wp_customize, 'contact_formbuttontextColor', 'contact_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'contact_formbuttontexthoverColor', 'contact_section', 'Form Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'contact_formbuttonbghoverColor', 'contact_section', 'Form Button Background Hover Color', '#000');

?>